Building With GCC 4.0.1

I've just built LLVM from scratch with GCC 4.0.1. All seems well and
there were *no* compiler warnings (unlike GCC 4.0.0). So, if you're
heading into GCC 4.0, I recommend 4.0.1 rather than 4.0.0.

Reid.